Subject: Re: Steps to integrate new 40G Network driver to the kernel tree

From: Ben Hutchings <[email-masked]>
Date: Sat, 16 Apr 2011 01:57:00 +0100

On Fri, 2011-04-15 at 16:51 -0700, Joyce Yu - System Software wrote:
> Hello,
> 
> We have a new 40G network Linux driver. What are the steps to integrate  
> it to the kernel tree?

Make sure it works as an addition to David Miller's net-2.6 git tree.
Send patches here for review, in <100K chunks (that's the limit for this
list).  Update it based on review feedback, and repeat as necessary.

Documentation/SubmittingPatches has general advice on patches.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.